wake-up-neo.com

Installieren Sie das Maven-Plugin in Eclipse juno

Ich versuche, Maven 1.5 in Eclipse zu installieren.

Cannot complete the install because one or more required items could not be found.
  Software being installed: m2e - Maven Integration for Eclipse (includes Incubating components) 1.5.0.20140606-0033 (org.Eclipse.m2e.feature.feature.group 1.5.0.20140606-0033)
  Missing requirement: Maven Integration for Eclipse 1.5.0.20140606-0033 (org.Eclipse.m2e.core 1.5.0.20140606-0033) requires 'bundle com.google.guava [14.0.1,16.0.0)' but it could not be found
  Cannot satisfy dependency:
    From: m2e - Maven Integration for Eclipse (includes Incubating components) 1.5.0.20140606-0033 (org.Eclipse.m2e.feature.feature.group 1.5.0.20140606-0033)
    To: org.Eclipse.m2e.core [1.5.0.20140606-0033]
17
user1632980

Eclipse juno unterstützt keine Maven 1.5 ... noch haben sie nicht die Fähigkeit von 1.5 hinzugefügt

also versuche 1.4 oder 1.3

http://download.Eclipse.org/technology/m2e/releases/1.3

http://download.Eclipse.org/technology/m2e/releases/1.4

MAVEN INSTALLATION

OPTION 1 :

  1. Öffnen Sie die Eclipse-IDE
  2. Klicken Sie auf Hilfe -> Neue Software installieren ...
  3. Klicken Sie oben rechts auf die Schaltfläche Hinzufügen
  4. Bei Popup: Füllen Sie Name als "M2Eclipse" und Ort als http://download.Eclipse.org/technology/m2e/releases/1.4 aus.
  5. Klicken Sie jetzt auf OK. Danach wird die Installation gestartet.

OPTION 2 :-

  1. Eclipse öffnen
  2. Gehen Sie zu Hilfe -> Eclipse Marketplace
  3. Suche bei Maven
  4. Klicken Sie im Abschnitt "Maven Integration for Eclipse" auf die Schaltfläche "Installieren"
  5. Folgen Sie den Anweisungen Schritt für Schritt

Nach erfolgreicher Installation führen Sie folgende Schritte in Eclipse durch:

  1. Gehen Sie zu Fenster -> Einstellungen
  2. Beachten Sie, Maven wird auf der linken Seite eingetragen

Endlich,

  1. Klicken Sie auf ein vorhandenes Projekt
  2. Wählen Sie Konfigurieren -> In Maven-Projekt konvertieren
53
Krishnamoorthy

Dies liegt daran, dass Maven 1.5 nicht mit Eclipse juno..__ kompatibel ist. Daher müssen Maven 1.4 oder 1.3 verwendet werden

Schritte zum Installieren von Maven 1.4 finden Sie unten

  1. Klicken Sie in Eclipse auf Hilfe
  2. Neue Software installieren
  3. Die URL für den Standort der Website lautet " http://download.Eclipse.org/technology/m2e/releases ".
  4. Deaktivieren Sie das Kontrollkästchen "Nur die neuesten Versionen verfügbarer Software anzeigen" Wenn Sie das Kontrollkästchen nicht deaktivieren, wird nur die neueste Version angezeigt. Maven 1.4 wird nicht angezeigt.
  5. Wählen Sie m2e und slf4j der Version 1.4 aus und klicken Sie auf Weiter.

Hinweis: maven v 1.3 ist kompatibel, korrekte URL für juno: download.Eclipse.org/technology/m2e/releases/1.3 

6
rajeesh

Wenn alle oben genannten Optionen nicht funktionieren, installieren Sie zuerst das WST-Plugin in Ihrem Eclipse.

Um dies zu tun, gehen Sie in Eclipse Juno zu Install New Software > Add, unter Name, platzieren Sie Juno und unter Location URL einfügen http://download.Eclipse.org/releases/juno.

Wählen Sie dann WST Server Adapters unter Web, XML, Java, ... (letzte Option der Liste).

Akzeptieren Sie die Lizenzvereinbarung und starten Sie Eclipse erneut.

Fahren Sie dann wie gewohnt fort, um Maven zu installieren.

3
Rafee Mohammad

Wählen Sie das Menü Help \ Install New Software... und fügen Sie dann diesen Repository-Link hinzu:

http://download.Eclipse.org/technology/m2e/releases/1.2/1.2.0.20120903-1050/

Dann installieren Sie für Eclipse WTP (Web Tool Platform) Juno 4.2.

2
foobarfuu

Deaktivieren Sie die Option "Nur die neueste Version dieser Software auswählen", damit die mit Eclipse kompatiblen Versionen des Plugins angezeigt werden. Sie können eine davon auswählen.

1
user17